#SPEC by Julien Catalano

Summary:	Free (Libre) clone of Worms from Team17
Name:		wormux
Version:	0.8.5
Release:	%mkrel 2
License:	GPLv2+
Group:		Games/Arcade
Url:		http://www.wormux.org/
Source0:	http://download.gna.org/wormux/%{name}-%{version}.tar.bz2
BuildRequires:	fribidi-devel
Buildrequires:	libSDL_gfx-devel
Buildrequires:	libxml++-devel
Buildrequires:	SDL_image-devel
Buildrequires:	SDL_ttf-devel
Buildrequires:	SDL_mixer-devel
Buildrequires:	SDL_net-devel
BuildRequires:	imagemagick
BuildRequires:	libpng-devel
BuildRequires:	libcurl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Almost everyone has heard of the Worms(R) series of games, developed by Team17.
Worms was created in 1990, the goal of the game consisting of a several teams 
of "worms" fighting to the death on a 2D map. Wormux is heavily influenced by 
all games in this genre, including Scorched Earth and Liero.

Wormux is free software clone of this game concept. Though currently under 
heavy development, it is already very playable, with lots of weapons 
(Dynamite, Baseball Bat, Teleportation, etc.). There are also lots of maps 
available for your battling pleasure! Wormux takes the genre to the next 
level, with great customisation options leading to great gameplay. There 
is a wide selection of teams, from the Aliens to the Chickens. Also, new 
battlefields can be downloaded from the Internet, making strategy an 
important part of each battle.

Though two human players are currently needed to play (unless you have 
a split personality :) the creation of artificial players and network play 
are future goals. So, start downloading today, and fight to become king of 
the garden! 

%prep
%setup -q -n %{name}-%{version}

%build

#(tpg) get rid of -Werror
sed -i -e 's/-Werror//' src/Makefile.am

%configure2_5x	\
	--bindir=%{_gamesbindir} \
	--with-datadir-name=%{_gamesdatadir}/%{name} \
	--disable-rpath \
	--enable-fribidi

#(tpg) get rid of -Werror
sed -i -e 's/-Werror//' src/Makefile.in

%make

%install
rm -rf %{buildroot}

# allow this script to be executed
chmod +x install-sh

# drop icon extension
perl -pi -e 's/.png//g' data/wormux.desktop

%makeinstall_std localedir=%{_datadir}/locale

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}_128x128.png
%{_mandir}/man6/%{name}.*


%changelog
* Sun Sep 27 2009 Götz Waschk <waschk@mandriva.org> 0.8.5-2mdv2010.0
+ Revision: 450125
- rebuild for new SDL_gfx

* Wed Sep 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.5-1mdv2010.0
+ Revision: 443653
- Update to new version 0.8.5

* Fri Jul 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 394201
- Update to new version 0.8.4

* Tue Mar 10 2009 trem <trem@mandriva.org> 0.8.3-1mdv2009.1
+ Revision: 353492
- update to 0.8.3

* Sat Dec 06 2008 trem <trem@mandriva.org> 0.8.2-2mdv2009.1
+ Revision: 311215
- enable fribidi

* Sat Nov 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 305937
- disable fribidi support, because fribidi2 is not supported
- define _disable_ld_no_undefined 1
- update to new version 0.8.2
- update to new version 0.8.1
- spec file clean

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 21 2008 trem <trem@mandriva.org> 0.8-1mdv2009.0
+ Revision: 209854
- update to 0.8

* Sun Feb 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8-0.beta4.3mdv2008.1
+ Revision: 164975
- drop icon extension in desktop file

* Sun Feb 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8-0.beta4.2mdv2008.1
+ Revision: 164863
- new license policy
- enable fribidi support
- get rid of Werror flag
- disable rpath
- fix desktop entry
- provide icons only in fd.o compiliant directory
- add docs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 25 2007 trem <trem@mandriva.org> 0.8-0.beta4.1mdv2008.1
+ Revision: 137776
- update to 0.8beta4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 17 2007 trem <trem@mandriva.org> 0.8-0.beta2.1mdv2008.0
+ Revision: 89356
- new release 0.8 beta2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages extension

* Tue Jun 12 2007 trem <trem@mandriva.org> 0.8-0.beta1.1mdv2008.0
+ Revision: 38391
- add libcurl-devel in Buildrequires
- add libpng in Buildrequires
- update to 0.8 beta1


* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 0.8-0.alpha1.3mdv2007.0
+ Revision: 100855
- rebuild

* Sun Nov 05 2006 trem <trem@mandriva.org> 0.8-0.alpha1.2mdv2007.1
+ Revision: 76739
- change release to 0.alpha1.2
- add BuildRequires desktop-file-utils
- remove useless source
- new release 0.8 alpha1
- new release 0.8 alpha1
- Import wormux

* Thu Sep 07 2006 trem <trem@mandriva.org> 0.7.4-1mdv2007.0
- 0.7.4

* Mon Aug 14 2006 trem <trem@mandriva.org> 0.7.3-1mdv2007.0
- 0.7.3
- fix xdg menu

* Tue Jun 20 2006 Jerome Martin <jmartin@mandriva.org> 0.7.2-2mdv2007.0
- add BuildRequires SDL_net-devel

* Mon Jun 19 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-1mdv2007.0
- 0.7.2
- xdg compliant

* Mon May 01 2006 trem <trem@mandriva.org> 0.7.1-1mdk
- 0.7.1

* Wed Apr 05 2006 trem <trem@mandriva.org> 0.7-1mdk
- 0.7.0

* Mon Jan 23 2006 trem <trem@mandriva.org> 0.7-0.beta3.2mdk
- add BuildRequires (thanks aginies)

* Mon Jan 23 2006 trem <trem@mandriva.org> 0.7-0.beta3.1mdk
- 0.7beta3

* Tue Jan 17 2006 trem <trem@mandriva.org> 0.7-0.beta2.1mdk
- 0.7beta2
- add Buildrequires SDL_image-devel

* Wed Jan 11 2006 trem <trem@mandriva.org> 0.7-0.beta1.1mdk
- 0.7beta1

* Tue Aug 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.1-2mdk
- fix locale
- %%mkrel

* Mon May 16 2005 Emmanuel Andry <eandry@free.fr> 0.5.1-1mdk
- 0.5.1

* Sat Mar 12 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.0-2mdk
- cosmetics
- do not bzip2 icons in src.rpm
- from Emmanuel Andry <eandry@free.fr> :
	o Rebuild for MDK 10.2

* Mon Dec 20 2004 Julien Catalano <julien.catalano@free.fr> 0.5.0-1mdk
- 0.5.0

* Wed Aug 18 2004 Michael Scherer <misc@mandrake.org> 0.4.0-2mdk 
- fix BuildRequires
- clean BuildRoot

* Sun Jul 04 2004 Michael Scherer <misc@mandrake.org> 0.4.0-1mdk
- some fixs to spec file
- from Julien Catalano <julien.catalano@free.fr>
  o First Mandrake package

